package com.e6yun.project.sdk.api.pojo.basevo.smart;

import com.google.common.base.MoreObjects;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @Description
 * @Author ningkun@e6yun.com
 * @Created Date: 2021/7/7 16:16
 * @ClassName ElockOperateRecordVO
 * @Remark
 */
public class ElockOperateRecordVO {
    private Integer recordID;

    private Integer dtid;

    private Integer applyID;

    private Date modifiedTime;

    private String modifiedTimeStr;

    private Integer operateType;

    private String operateTypeStr;

    private String operateStatus;

    private String operateStatusStr;

    private String userName;

    private String userCode;

    private String userInfo;

    private Integer isException;

    private Integer isTimeAlarm;

    private Integer isHalfway;

    private String equipCode;

    private String dataTerName;

    private String commids;

    private Integer vehicleId;

    private String vehicleNo;

    private Integer resource;

    private String resourceStr;

    private Integer reasonType;

    private String reasonName;

    private String remark;

    private List<String> picUrlList;

    private String lockPicUrl;

    private String vehiclePicUrl;

    private BigDecimal lon;

    private BigDecimal lat;

    private String location;

    private String areaName;

    private String orgName;

    public Integer getRecordID() {
        return recordID;
    }

    public void setRecordID(Integer recordID) {
        this.recordID = recordID;
    }

    public Integer getDtid() {
        return dtid;
    }

    public void setDtid(Integer dtid) {
        this.dtid = dtid;
    }

    public Integer getApplyID() {
        return applyID;
    }

    public void setApplyID(Integer applyID) {
        this.applyID = applyID;
    }

    public Date getModifiedTime() {
        return modifiedTime;
    }

    public void setModifiedTime(Date modifiedTime) {
        this.modifiedTime = modifiedTime;
    }

    public String getModifiedTimeStr() {
        return modifiedTimeStr;
    }

    public void setModifiedTimeStr(String modifiedTimeStr) {
        this.modifiedTimeStr = modifiedTimeStr;
    }

    public Integer getOperateType() {
        return operateType;
    }

    public void setOperateType(Integer operateType) {
        this.operateType = operateType;
    }

    public String getOperateTypeStr() {
        return operateTypeStr;
    }

    public void setOperateTypeStr(String operateTypeStr) {
        this.operateTypeStr = operateTypeStr;
    }

    public String getOperateStatus() {
        return operateStatus;
    }

    public void setOperateStatus(String operateStatus) {
        this.operateStatus = operateStatus;
    }

    public String getOperateStatusStr() {
        return operateStatusStr;
    }

    public void setOperateStatusStr(String operateStatusStr) {
        this.operateStatusStr = operateStatusStr;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserCode() {
        return userCode;
    }

    public void setUserCode(String userCode) {
        this.userCode = userCode;
    }

    public String getUserInfo() {
        return userInfo;
    }

    public void setUserInfo(String userInfo) {
        this.userInfo = userInfo;
    }

    public Integer getIsException() {
        return isException;
    }

    public void setIsException(Integer isException) {
        this.isException = isException;
    }

    public Integer getIsTimeAlarm() {
        return isTimeAlarm;
    }

    public void setIsTimeAlarm(Integer isTimeAlarm) {
        this.isTimeAlarm = isTimeAlarm;
    }

    public Integer getIsHalfway() {
        return isHalfway;
    }

    public void setIsHalfway(Integer isHalfway) {
        this.isHalfway = isHalfway;
    }

    public String getEquipCode() {
        return equipCode;
    }

    public void setEquipCode(String equipCode) {
        this.equipCode = equipCode;
    }

    public String getDataTerName() {
        return dataTerName;
    }

    public void setDataTerName(String dataTerName) {
        this.dataTerName = dataTerName;
    }

    public String getCommids() {
        return commids;
    }

    public void setCommids(String commids) {
        this.commids = commids;
    }

    public Integer getVehicleId() {
        return vehicleId;
    }

    public void setVehicleId(Integer vehicleId) {
        this.vehicleId = vehicleId;
    }

    public String getVehicleNo() {
        return vehicleNo;
    }

    public void setVehicleNo(String vehicleNo) {
        this.vehicleNo = vehicleNo;
    }

    public Integer getResource() {
        return resource;
    }

    public void setResource(Integer resource) {
        this.resource = resource;
    }

    public String getResourceStr() {
        return resourceStr;
    }

    public void setResourceStr(String resourceStr) {
        this.resourceStr = resourceStr;
    }

    public Integer getReasonType() {
        return reasonType;
    }

    public void setReasonType(Integer reasonType) {
        this.reasonType = reasonType;
    }

    public String getReasonName() {
        return reasonName;
    }

    public void setReasonName(String reasonName) {
        this.reasonName = reasonName;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public List<String> getPicUrlList() {
        return picUrlList;
    }

    public void setPicUrlList(List<String> picUrlList) {
        this.picUrlList = picUrlList;
    }

    public String getLockPicUrl() {
        return lockPicUrl;
    }

    public void setLockPicUrl(String lockPicUrl) {
        this.lockPicUrl = lockPicUrl;
    }

    public String getVehiclePicUrl() {
        return vehiclePicUrl;
    }

    public void setVehiclePicUrl(String vehiclePicUrl) {
        this.vehiclePicUrl = vehiclePicUrl;
    }

    public BigDecimal getLon() {
        return lon;
    }

    public void setLon(BigDecimal lon) {
        this.lon = lon;
    }

    public BigDecimal getLat() {
        return lat;
    }

    public void setLat(BigDecimal lat) {
        this.lat = lat;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    @Override
    public String toString() {
        return MoreObjects.toStringHelper(this)
                .add("recordID", recordID)
                .add("dtid", dtid)
                .add("applyID", applyID)
                .add("modifiedTime", modifiedTime)
                .add("modifiedTimeStr", modifiedTimeStr)
                .add("operateType", operateType)
                .add("operateTypeStr", operateTypeStr)
                .add("operateStatus", operateStatus)
                .add("operateStatusStr", operateStatusStr)
                .add("userName", userName)
                .add("userCode", userCode)
                .add("userInfo", userInfo)
                .add("isException", isException)
                .add("isTimeAlarm", isTimeAlarm)
                .add("isHalfway", isHalfway)
                .add("equipCode", equipCode)
                .add("dataTerName", dataTerName)
                .add("commids", commids)
                .add("vehicleId", vehicleId)
                .add("vehicleNo", vehicleNo)
                .add("resource", resource)
                .add("resourceStr", resourceStr)
                .add("reasonType", reasonType)
                .add("reasonName", reasonName)
                .add("remark", remark)
                .add("picUrlList", picUrlList)
                .add("lockPicUrl", lockPicUrl)
                .add("vehiclePicUrl", vehiclePicUrl)
                .add("lon", lon)
                .add("lat", lat)
                .add("location", location)
                .add("areaName", areaName)
                .add("orgName", orgName)
                .toString();
    }
}
